// Imports
import { Worker } from "rabbiteer";
// Class
export default class TestResultsWorker extends Worker {
  constructor() {
    super("TestResults");
  }

  /* Example Test Result
 {
   testName: “SomeTest”,
   testClass: “SomeClass”,
   testMethod: “SomeMethod”,
   testType: “API/UI”,
   testTimestamp: 123893024,
   origin: “TestSuite”,
   failed: true,
   failedMessage: “Some Failure”,
   screenshotUrl: “https://screenshot”,
   expectedScreenshotUrl: “https://expected”
   consoleLogUrl: “https://consolelog”
}
*/
  onMessage(testResult) {
    console.log(testResult);
  }
}
